﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TestPlugin
{
    public partial class SettingsDialog : Form
    {
        private static SettingsDialog _instance;

        public static SettingsDialog GetInstance()
        {
            return _instance ?? (_instance = new SettingsDialog());
        }

        private SettingsDialog()
        {
            InitializeComponent();
            monsterLimitSpinner.Value = 1;
            monsterLimitSpinner.Minimum = 1; 
        }

        public int GetMonsterLimit()
        {
            return (int) monsterLimitSpinner.Value;
        }

        private void saveButton_Click(object sender, EventArgs e)
        {
            Visible = false;
        }

    }
}
